Multivariate Pattern Analysis in Python

# mvpa2.support.nibabel.afni_niml_roi.read

`mvpa2.support.nibabel.afni_niml_roi.``read`(fn)

  Reads a NIML ROI file (typical extension .niml.roi)

  Parameters:

  fn: str

  > filename of NIML ROI file

  Returns:

  rois: list of dict

  > A list of ROIs found in fn. Each element represents a single ROI and is a dictionary d with keys from the header information. In addition it contains d[‘edges’], a list of numpy arrays with the node indices for each edge, and d[‘areas’], a list of numpy arrays with the node indices of each node